com.io7m.jtensors.core.parameterized.matrices

## Class PMatrix3x3D.Builder<A,B>

- java.lang.Object
- - com.io7m.jtensors.core.parameterized.matrices.PMatrix3x3D.Builder<A,B>

- Enclosing class:
    PMatrix3x3D<A,B>

      public static final class PMatrix3x3D.Builder<A,B>
      extends Object

  Builds instances of type `PMatrix3x3D`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PMatrix3x3D<A,B>` | `build()` Builds a new `PMatrix3x3D`.
    `PMatrix3x3D.Builder<A,B>` | `from(MatrixReadable3x3DType instance)` Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.matrices.MatrixReadable3x3DType` instance.
    `PMatrix3x3D.Builder<A,B>` | `from(PMatrix3x3DType<A,B> instance)` Fill a builder with attribute values from the provided `com.io7m.jtensors.core.parameterized.matrices.PMatrix3x3DType<A, B>` instance.
    `PMatrix3x3D.Builder<A,B>` | `setR0c0(double r0c0)` Initializes the value for the `r0c0` attribute.
    `PMatrix3x3D.Builder<A,B>` | `setR0c1(double r0c1)` Initializes the value for the `r0c1` attribute.
    `PMatrix3x3D.Builder<A,B>` | `setR0c2(double r0c2)` Initializes the value for the `r0c2` attribute.
    `PMatrix3x3D.Builder<A,B>` | `setR1c0(double r1c0)` Initializes the value for the `r1c0` attribute.
    `PMatrix3x3D.Builder<A,B>` | `setR1c1(double r1c1)` Initializes the value for the `r1c1` attribute.
    `PMatrix3x3D.Builder<A,B>` | `setR1c2(double r1c2)` Initializes the value for the `r1c2` attribute.
    `PMatrix3x3D.Builder<A,B>` | `setR2c0(double r2c0)` Initializes the value for the `r2c0` attribute.
    `PMatrix3x3D.Builder<A,B>` | `setR2c1(double r2c1)` Initializes the value for the `r2c1` attribute.
    `PMatrix3x3D.Builder<A,B>` | `setR2c2(double r2c2)` Initializes the value for the `r2c2` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final PMatrix3x3D.Builder<A,B> from(PMatrix3x3DType<A,B> instance)

      Fill a builder with attribute values from the provided `com.io7m.jtensors.core.parameterized.matrices.PMatrix3x3DType<A, B>` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final PMatrix3x3D.Builder<A,B> from(MatrixReadable3x3DType instance)

      Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.matrices.MatrixReadable3x3DType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setR0c0

          public final PMatrix3x3D.Builder<A,B> setR0c0(double r0c0)

      Initializes the value for the `r0c0` attribute.
      Parameters:
        `r0c0` - The value for r0c0
      Returns:
        `this` builder for use in a chained invocation

    - #### setR0c1

          public final PMatrix3x3D.Builder<A,B> setR0c1(double r0c1)

      Initializes the value for the `r0c1` attribute.
      Parameters:
        `r0c1` - The value for r0c1
      Returns:
        `this` builder for use in a chained invocation

    - #### setR0c2

          public final PMatrix3x3D.Builder<A,B> setR0c2(double r0c2)

      Initializes the value for the `r0c2` attribute.
      Parameters:
        `r0c2` - The value for r0c2
      Returns:
        `this` builder for use in a chained invocation

    - #### setR1c0

          public final PMatrix3x3D.Builder<A,B> setR1c0(double r1c0)

      Initializes the value for the `r1c0` attribute.
      Parameters:
        `r1c0` - The value for r1c0
      Returns:
        `this` builder for use in a chained invocation

    - #### setR1c1

          public final PMatrix3x3D.Builder<A,B> setR1c1(double r1c1)

      Initializes the value for the `r1c1` attribute.
      Parameters:
        `r1c1` - The value for r1c1
      Returns:
        `this` builder for use in a chained invocation

    - #### setR1c2

          public final PMatrix3x3D.Builder<A,B> setR1c2(double r1c2)

      Initializes the value for the `r1c2` attribute.
      Parameters:
        `r1c2` - The value for r1c2
      Returns:
        `this` builder for use in a chained invocation

    - #### setR2c0

          public final PMatrix3x3D.Builder<A,B> setR2c0(double r2c0)

      Initializes the value for the `r2c0` attribute.
      Parameters:
        `r2c0` - The value for r2c0
      Returns:
        `this` builder for use in a chained invocation

    - #### setR2c1

          public final PMatrix3x3D.Builder<A,B> setR2c1(double r2c1)

      Initializes the value for the `r2c1` attribute.
      Parameters:
        `r2c1` - The value for r2c1
      Returns:
        `this` builder for use in a chained invocation

    - #### setR2c2

          public final PMatrix3x3D.Builder<A,B> setR2c2(double r2c2)

      Initializes the value for the `r2c2` attribute.
      Parameters:
        `r2c2` - The value for r2c2
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public PMatrix3x3D<A,B> build()

      Builds a new `PMatrix3x3D`.
      Returns:
        An immutable instance of PMatrix3x3D
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com